# Rotate the client secret

Rotate and returns the client secret

Endpoint: POST /auth/client-secret/rotation
Version: 1.0.8
Security: bearer-jwt

## Security:

  - `bearer-jwt` (unknown)
    http bearer JWT

## Header parameters:

  - `API-Version` (string)

## Response 200:

  - `200` (unknown)
    The rotated secret.

## Response 200 fields (application/json):

  - `secret` (string, required)

## Response 400:

  - `400` (unknown)
    Bad request.

## Response 400 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

  - `properties` (object)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

  - `properties` (object)

## Response 403:

  - `403` (unknown)
    Forbidden.

## Response 403 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

  - `properties` (object)

## Response 404:

  - `404` (unknown)
    not found.

## Response 404 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

  - `properties` (object)

## Response 500:

  - `500` (unknown)
    Internal Server Error.

## Response 500 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

  - `properties` (object)

## Response 503:

  - `503` (unknown)
    Service unavailable.

## Response 503 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

  - `properties` (object)

## Response 400 examples:

  - `Generic invalid data` (unknown)
    Generic invalid data

  - `Generic missing data` (unknown)
    Generic missing data

## Response 401 examples:

  - `Unauthorized` (unknown)
    Unauthorized

## Response 403 examples:

  - `Forbidden` (unknown)
    Forbidden

## Response 404 examples:

  - `Not found` (unknown)
    Not found

## Response 500 examples:

  - `Internal server error` (unknown)
    Internal server error

## Response 503 examples:

  - `Service unavailable` (unknown)
    Service unavailable

